跳转到主要内容
计算管理/主机相关接口/主机硬件设备相关接口
GETHost Hardware Device APIs起始版本 0.6同步需要认证

查询Raid物理盘自检历史

查询Raid物理盘自检历史

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • idLong必填

      资源ID。

    • raidPhysicalDriveUuidString必填

      Raid物理盘Uuid

    • testResultString必填

      自检结果

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • runningStateRunningState必填

      详情参考runningState

      • RunningRunningState必填

        正在执行

      • SuccessRunningState必填

        执行成果

      • FailedRunningState必填

        执行失败

请求地址

GET/zstack/v1/storage-devices/local-raid/physical-drives/self-test

/zstack/v1/storage-devices/local-raid/physical-drives/self-test

操作 ID

QueryPhysicalDriveSelfTestHistory

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/storage-devices/local-raid/physical-drives/self-test' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "id": 1, "raidPhysicalDriveUuid": "18862cfe4f383f1c8f4e6e64e8de9f4c", "runningState": "Success", "testResult": "Completed without error", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" }, { "id": 2, "raidPhysicalDriveUuid": "adbdac3931c03ab0a1ff769558816563", "runningState": "Success", "testResult": "Completed without error", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史